%define fontname kacst
%define fontdir %{_datadir}/fonts/%{fontname}

Name: %{fontname}-fonts
Version: 1.6.2
Release: 2%{?dist}
License: GPLv2
Source: http://downloads.sourceforge.net/sourceforge/arabeyes/%{fontname}_fonts_%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: dos2unix
Group: User Interface/X
Summary: Fonts for arabic from arabeyes project 
URL: http://www.arabeyes.org/resources.php
 
%description
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).

%prep
%setup -q -n KacstArabicFonts-1.6.2
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttf

%changelog
* Mon Oct 15 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-2.fc8
- Used dos2unix

* Thu Oct 12 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-1.fc8
- Initial Packaging
